library(tidyverse)
# 散布図折れ線グラフ(1)
a01 <- read_csv("weight.csv",show_col_types = FALSE)
ggplot(a01)+geom_line(aes(x = A,y = B) )
#
# 散布図折れ線グラフ(2)
ggplot(a01)+geom_line(aes(x = A,y = B) ) + labs(x="height",y="weight")
#
# 散布図折れ線グラフ(3)
ggplot(a01,aes(xA,y=B)) +
  geom_point() +
  geom_line() +
  theme(text = element_text(size=16) )
# 散布図折れ線グラフ(4)
ggplot(a01,aes(x=A,y=B)) +
    geom_point() +
    geom_line() +
    xlim(140,166)+
    ylim(30,70)+
    labs(title ="title") +
  theme(text = element_text(size=20) )
#
## 棒グラフ(1)
a02 <- read_csv("long.csv",show_col_types = FALSE)
ggplot(a02) +
  geom_bar(aes(x= subject))
#
#使う列だけ取り出すパイプ処理
a02 %>% select(c(id,subject)) %>% ggplot +
  geom_bar(aes(x= subject))
#
# 棒グラフ(2)
a03 <- read_csv("freq.csv", show_col_types=FALSE)
ggplot(a03) +
  geom_bar(aes(x = name, y = freq), stat="identity")
#
## 棒グラフ(3)
ggplot(a03, aes(x = name, y = freq, fill= name) ) +
  geom_bar(stat="identity")
#
## 棒グラフ(4)
a04 <- read_csv("group.csv")
ggplot(a04, aes(x = group, y = value, fill=name) ) +
  geom_bar(stat="identity")
#
## 棒グラフ(5)
ggplot(a04, aes(x = group, y = value, fill=name) ) +
  geom_bar(stat="identity", positon = "fill")
#
## 箱ひげ図
ggplot(a02) +
  geom_boxplot(aes(x = subject, y = score ) )
#
## 積み上げ棒グラフと円グラフ
ggplot(a04,aes(x=group, y = value, fill = name) ) +
  geom_bar(stat = "identity", position = "fill") +
  coord_polar(theta ="y")
#
##積み上げ棒グラフ
p1 <- ggplot(a03,aes(x="", y = freq, fill = name) ) +
  geom_bar(stat="identity", position= "fill") +
  geom_text(aes(label=freq, y=pos1))
p1
#円グラフ
p2 <- p1 +
  coord_polar("y", direction=-1) +
  theme_void()
p2
#円グラフ(向きを逆に)
ggplot(a03,aes(x="", y = freq, fill = name) ) +
  geom_bar(stat="identity", position= "fill") +
  geom_text(aes(label=freq, y=pos1)) +
  coord_polar("y", direction=1) +
  theme_void()
#円グラフ(別の例)
ggplot(a04, aes(x = group, y = value, fill=name) ) +
  geom_bar(stat="identity", positon = "fill") +
  coord_polar("y",direction=-1)
#
# 関数
ggplot(data.frame(c(0,2*pi) ) ) + geom_function(fun = sin)
#
mysin <- function(x,a=1,b=-pi/2) sin(a*x + b)
ggplot()+xlim(0,2*pi)+labs(x="x")+
  geom_function(fun=sin,col="red")+
  geom_function(fun=mysin ,args=list(a=1,b=pi/2))
