library(tidyverse)
true_a = 0 ; true_b = 0  
samplesize <- 200  
trial = 5000  
x1 <- runif(samplesize)  
sim_Ta <- vector("numeric",length=trial)  
sim_a <- vector("numeric",length=trial)  
sim_F <- vector("numeric",length=trial)  
for(i in 1:trial){ 
  x2 <- rnorm(samplesize,mean=0,sd=1.0) 
  y1 <- true_a*x1+ true_b + x2 
  w <- lm(y1~x1) 
  ahat <- w$coefficients[2]
  sim_a[i] <- w$coefficients[2]
  bhat <- w$coefficients[1] 
  SX <- sum ( (x1-mean(x1))^2 ) 
  ST <- sum ( (y1-mean(y1))^2 ) 
  SR <- sum ( ( w$fitted.values-mean(y1) ) ^2 ) 
  SE <- sum ( w$residuals^2 ) 
  MSR <- SR/1 
  MSE <- SE/(samplesize-1-1) 
  sim_F[i] <- MSR/MSE 
  sigmahat <- sqrt(SE/ ( samplesize- 2 ) ) 
  sigma_a <- sigmahat/sqrt(SX) 
  sim_Ta[i] <- (ahat-true_a) / sigma_a 
}

ggplot()+geom_histogram(aes(x=sim_Ta,y=after_stat(density) ) ,bins=100) +
  geom_function(fun=dt,args=c(df=(samplesize-2)))

ggplot()+geom_histogram(aes(x=sim_F,y=after_stat(density)) ,bins=100) +
  geom_function(fun=df,args=c(df1=1,df2=samplesize-2) )+ylim(c(0,1))