library(tidyverse)
library(magrittr)
set.seed(0)
N_train <- 20
sigma <- 0.1
train_x  <- runif(N_train)
train_y <- sin(2*pi* train_x) + rnorm(N_train,0,sigma)

func_poly <- function(m,x){ x^m }
func_phi_poly <- function(m,x_n){
   phi <- vector("list",length=m)
   phi <- map(1:m,func_poly,x=x_n)
   phi <- matrix(unlist(phi),ncol=m)
   colnames(phi) <- str_c("x",1:m)
   phi <- as_tibble(phi)
}

m <- 15
df_train <- func_phi_poly(m,train_x) 
df_train <- df_train %>% mutate(y=train_y) 
head(df_train)

lm_poly <- lm(data=df_train,　y ~ . )
lm_poly

func_sin <- function(a,x) { sin(a*x) }
N_test <- 200
x_min <- 0
x_max <- 1
x_int <- (x_max - x_min ) / (N_test - 1)
test_x  <- seq(x_min,x_max,x_int)
df_test <- func_phi_poly(m,test_x)
test_y <- predict(lm_poly,newdata = df_test)
df_test %<>% mutate(y = test_y)
head(df_test)

ggplot()+
     geom_function(fun =func_sin,args=list(a=2*pi) )+
     geom_point(data=df_train,aes(x=x1, y=y))+
     geom_line(data=df_test,aes(x=x1, y=y), col="blue")+ylim(c(-1,1))