set.seed(0)
N_train <- 20
sigma <- 0.1
train_x  <- runif(N_train)
train_y <- sin(2*pi* train_x)  +rnorm(N_train,0,sigma)
df_train <- tibble(x1=train_x,y=train_y)
df_train <- df_train %>% mutate(y2 = (y+1)/2)
library(nnet)
set.seed(8)
sin1 <- nnet(y2~x1,data=df_train,size=5,maxit=1000)
N_test <- 200
x_min <- 0
x_max <- 1
x_int <- (x_max - x_min ) / (N_test - 1)
test_x  <- seq(x_min,x_max,x_int)
df_test <- tibble(x1=test_x)
yosoku1 <-predict(sin1,newdata=df_test,type="raw") 
yosoku1
df_test <- df_test %>% mutate(nn_y=yosoku1[,1])
df_test
func_sin2 <- function(a,b,c,x) a*sin(b*x)+c
ggplot() + xlim(0,1)+
  geom_function(fun =func_sin2,
                args=list(a=1/2,b=2*pi,c=0.5),col="blue")+
  geom_point(data=df_train,aes(x=x1, y=y2) ) +
  geom_line(data=df_test,aes(x=x1, y=nn_y) ) 