library(tidyverse)
library(magrittr)
eurodist
eurodist %>% as.matrix %>% head()                            
ed_si <- hclust(eurodist,method="single")
plot(ed_si)                                
# single
library(ggdendro)                          

ed_si <- hclust(eurodist,method="single")
den_ed_si <- dendro_data(ed_si)
ggplot(data=segment(den_ed_si))+
  geom_segment(aes(x = x, y = y, xend = xend, yend = yend) )+
  geom_text(data = label(den_ed_si),aes(x = x, y = y-500, label = label),size=4) +
  coord_flip()+  ylim(-600, max(den_ed_si$segments$yend) )
#complete
den_ed_co <- dendro_data(ed_co)            
ggplot(data=segment(den_ed_co))+           
  geom_segment(aes(x = x, y = y, xend = xend, yend = yend) )+
  geom_text(data = label(den_ed_co),
            aes(x = x, y = y-500, label = label),size=4) +
  coord_flip()+  
  ylim(-600, max(den_ed_co$segments$yend) )
#Average
ed_av <- hclust(eurodist,method="average")
den_ed_av <- dendro_data(ed_av)
ggplot(data=segment(den_ed_av))+
  geom_segment(aes(x = x, y = y, xend = xend, yend = yend) )+
  geom_text(data = label(den_ed_si),aes(x = x, y = y-500, label = label),size=4) +
  coord_flip()+  ylim(-600, max(den_ed_av$segments$yend) )
# Centroid
ed_ce <- hclust(eurodist,method="centroid")
den_ed_ce <- dendro_data(ed_ce)
ggplot(data=segment(den_ed_ce))+
  geom_segment(aes(x = x, y = y, xend = xend, yend = yend) )+
  geom_text(data = label(den_ed_si),aes(x = x, y = y-500, label = label),size=4) +
  coord_flip()+  ylim(-600, max(den_ed_ce$segments$yend) )
# Ward
ed_wa <- hclust(eurodist,method="ward.D2")
den_ed_wa <- dendro_data(ed_wa)
ggplot(data=segment(den_ed_wa))+
  geom_segment(aes(x = x, y = y, xend = xend, yend = yend) )+
  geom_text(data = label(den_ed_wa),aes(x = x, y = y-500, label = label),size=4) +
  coord_flip()+  ylim(-600, max(den_ed_wa$segments$yend) )
#
eu1 <- cmdscale(eurodist,eig=T)
library(tidyverse)
eu2 <- tibble(name=rownames(eu1$points), x=eu1$points[,1], y=eu1$points[,2])
ggplot(eu2,aes(x=x,y=y)) + geom_point()+ geom_text(aes(label=name),vjust=3)　
